> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chemcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Shows a buyer product



## OpenAPI

````yaml https://app.chemcloud.com.au/api-docs/public/buyer/v1/openapi.yaml get /api/public/buyer/v1/buyer_products/{id}
openapi: 3.0.1
info:
  title: ChemCloud Buyer API
  version: v1
servers:
  - url: https://app.chemcloud.com.au
    description: Production
security: []
paths:
  /api/public/buyer/v1/buyer_products/{id}:
    get:
      tags:
        - Buyer Products
      summary: Shows a buyer product
      parameters:
        - name: id
          in: path
          example: 99999a99-b888-777c-666d-55555555555e
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Buyer product found
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    example: 99999a99-b888-777c-666d-55555555555e
                  annual_usage:
                    type: integer
                    nullable: true
                    example: 10000
                    description: Annual usage of this product
                  frequency:
                    type: string
                    nullable: true
                    example: monthly
                    description: Typical frequency of purchase
                  raw_material_code:
                    type: string
                    nullable: true
                    example: NAOH-50
                    description: Internal code for this product
                  raw_material_name:
                    type: string
                    nullable: true
                    example: Sodium Hydroxide 50%
                    description: Internal name for this product
                  typical_order_size:
                    type: integer
                    nullable: true
                    example: 1000
                    description: Typical volume of purchase
                  container_type:
                    type: string
                    enum:
                      - Bag
                      - Bottle
                      - Bulk
                      - Bulk Bag
                      - Drum
                      - Flexibag
                      - IBC
                      - ISOTank
                      - Pail
                      - Sample
                      - Tanker
                      - Unit
                    example: IBC
                    description: Typical pack size purchased in
                  measurement_unit:
                    type: string
                    enum:
                      - EA
                      - L
                      - MT
                      - g
                      - kg
                      - mL
                    example: kg
                    description: Unit of measure purchased in
                  product_type:
                    type: string
                    enum:
                      - Dye
                      - Fragrance
                      - Other
                      - Packaging
                      - Raw Material
                    example: Raw Material
                    description: Type of product
                  document_types:
                    type: array
                    items:
                      type: string
                      enum:
                        - allergen_statement
                        - animal_testing_statement
                        - batch_coa
                        - bill_of_lading
                        - bill_of_lading_surrendered
                        - brcgs
                        - brochure
                        - certificate_of_origin
                        - commercial_invoice
                        - delivery_note
                        - email
                        - ethylene_oxide_dioxane_certificate
                        - fda_certificate
                        - fssc_22000
                        - gmo_free_statement
                        - gmp_certificate
                        - haccp
                        - halal_certificate
                        - impurities_statement
                        - internal_specification
                        - iso14001
                        - iso9001
                        - kosher_certificate
                        - multi_modal_dangerous_goods_form
                        - nanoparticle_statement
                        - nitrosamine_impurities
                        - other
                        - packing_declaration
                        - packing_list
                        - pif
                        - product_specification
                        - product_watchlist_batch
                        - proof_of_delivery
                        - purchase_order
                        - quality_agreement
                        - quarantine_document
                        - quote
                        - residual_solvent_statement
                        - rspo_certificate
                        - sample_coa
                        - sds
                        - specification_sheet
                        - supplier_questionnaire
                        - tds
                        - tga_certificate
                        - tse_certificate
                      example: sds
                    description: Document types required for this product
                  resource_values:
                    type: array
                    items:
                      type: object
                      properties:
                        provider:
                          type: string
                          enum:
                            - cin7_core
                            - cin7_omni
                            - myob_acct_right
                            - ostendo
                            - unleashed
                            - fishbowl
                            - advanced_business_manager
                            - wiise
                            - sage_x3
                            - amwin
                            - microsoft_dynamics_ax
                            - tencia
                            - webhook
                            - xero
                            - mrp_easy
                            - zoho
                            - myob_acumatica
                            - microsoft_dynamics_365
                            - tidy_stock
                            - microsoft_dynamics_365_fo
                            - infor
                            - filemaker
                            - approval_max
                          example: cin7_core
                        value:
                          type: string
                          example: 99999a99-b888-777c-666d-55555555555e
                  target_approvals:
                    type: integer
                    example: 1
                    description: Target number of approved materials for this product
                  priority_product:
                    type: boolean
                    example: false
                    description: >-
                      Priority product is one which is critical to your
                      operation
                  active:
                    type: boolean
                    example: true
                  created_at:
                    type: string
                    format: date-time
                    example: '2025-12-31T23:13:11.862Z'
                  updated_at:
                    type: string
                    format: date-time
                    example: '2025-12-31T23:13:11.862Z'
        '404':
          description: Buyer product not found
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````